clear all
 ...
global scalv_ ex_ ex_det_ recur_ recurs_ ys_ y_ exe_ exe_det_ lgy_ lgx_ lgx_det_ lgr_ dsmpl_ endval_
 ...
global endo_nbr exo_nbr exo_det_nbr iy_  ykmin_  ykmax_  xkmin_  xkmax_ zkmin_ zkmax_ iter_
 ...
global dynatol_ slowc_ maxit_ valf_ ys0_ recurs0_ ex0_ timing_ ct_ gstep_ Sigma_e_ fname_ lgx_orig_ord_ iter_ options_ dr_ oo_ trend_coeff_ eigenvalues_
global M_
M_.ex_det_length = 0;
M_.dname = 'LaxtonEstimate3';
endo_nbr=0;exo_nbr=0;exo_det_nbr=0;
dsmpl_=0;
dynatol_=0.00001;
maxit_=10;
slowc_=1;
timing_=0;
ct_=0;
gstep_=1e-2;
endval_=0;rplottype_=0;
valf_=0;
y_=[];
ex_=[];
ex_det_=[];
fname_ = 'LaxtonEstimate3';
logname_ = 'LaxtonEstimate3.log';
diary off;
warning off;
delete LaxtonEstimate3.log;
warning on;
warning backtrace;
diary LaxtonEstimate3.log;
options_ = [];


lgy_ = 'gamma';
lgy_ = str2mat(lgy_,'NAIRU');
lgy_ = str2mat(lgy_,'pie');
lgy_ = str2mat(lgy_,'pie_m');
lgy_ = str2mat(lgy_,'r_gap');
lgy_ = str2mat(lgy_,'u');
lgy_ = str2mat(lgy_,'u_gap');
lgy_ = str2mat(lgy_,'y');
lgy_ = str2mat(lgy_,'y_gap');
lgy_ = str2mat(lgy_,'y_pot');
lgy_ = str2mat(lgy_,'z_gap');
endo_nbr = 11;



lgx_ = 'e_gamma';
lgx_ = str2mat(lgx_,'e_NAIRU');
lgx_ = str2mat(lgx_,'e_pie');
lgx_ = str2mat(lgx_,'e_pie_m');
lgx_ = str2mat(lgx_,'e_r_gap');
lgx_ = str2mat(lgx_,'e_u_gap');
lgx_ = str2mat(lgx_,'e_y_gap');
lgx_ = str2mat(lgx_,'e_y_pot');
lgx_ = str2mat(lgx_,'e_z_gap');
lgx_ = str2mat(lgx_,'gamma_ss');
lgx_orig_ord_ = [4 5 7 10 8 6 3 2 9 1];
exo_nbr = 10;




global a1 a2 a3 b1 b2 c1 c2 c4 c5 m1 
global p1 r1 z1 



a1     = 0.6;
a2     = 0.2;
a3     = 0.1;
m1     = 0.7;
b1     = 0.2;
b2     = 0.8;
c1 = 0.05;
c2 = 0.1;
c4 = 0.5;
c5 = 0.5;
r1 = 0.8;
z1 = 0.8;
p1 = 0.8;


options_.linear=1;
iy_ = [ 1 2 3 4 5 0 6 0 7 8 9];
temp = [ 10 11 12 13 14 15 16 17 18 19 20];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 0 0 0 0 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 0 0 0 0 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 0 0 0 0 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 21 0 0 0 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
ykmin_ = 1;
ykmax_ = 4;
xkmin_ = 0;
xkmax_ = 0;
zkmin_ = 0;
zkmax_ = 0;
ys_ = zeros(11,1);
exe_ = zeros(10,1);


% INITVAL 
valf_ = 0;
endval_=0;
exe_(10)=0;
ys_(1)=0;
ys_(10)=ys_(1)+9.9;
ys_(11)=0;
ys_(5)=0;
ys_(9)=1/(1-a1)*(-a2*ys_(5)+a3*ys_(11));
ys_(8)=ys_(9)+ys_(10);
ys_(2)=3.5;
ys_(7)=1/(1-b2)*(-b1*ys_(9));
ys_(6)=ys_(7)+ys_(2);
ys_(4)=0;
ys_(3)=1/c1*(c1*ys_(4)-c4*ys_(7));
exe_(8)=0;
exe_(7)=0;
exe_(6)=0;
exe_(2)=0;
exe_(1)=0;
exe_(3)=0;
exe_(5)=0;
exe_(9)=0;
exe_(4)=0;
y_=[ys_*ones(1,ykmin_)];
if exo_nbr > 0;
  ex_=[ones(xkmin_,1)*exe_'];
end;
if exo_det_nbr > 0;
  ex_det_=[ones(ykmin_+1,1)*exe_det_'];
end;


% (M)SHOCKS 
make_ex_;
shocks_file(0);
Sigma_e_ = zeros(10,10);
Sigma_e_(7,7) = 0.3;
Sigma_e_(8,8) = 0.3;
Sigma_e_(1,1) = 0.1;
Sigma_e_(2,2) = 0.3;
Sigma_e_(6,6) = 0.3;
Sigma_e_(3,3) = 0.1;
Sigma_e_(5,5) = 0.2;
Sigma_e_(9,9) = 0.5;
Sigma_e_(4,4) = 0.1;


steady(0);

check;


global estim_params_
estim_params_.var_exo = [];
estim_params_.var_endo = [];
estim_params_.corrx = [];
estim_params_.corrn = [];
estim_params_.param_names = [];
estim_params_.param_vals = [];
estim_params_.param_names = strvcat(estim_params_.param_names,'a1');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.7, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'a2');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.2, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'a3');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.2, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'m1');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.2, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'b1');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.3, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'b2');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.8, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'c1');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.2, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'c2');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.2, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'c4');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 3 ...
, 0.5, 0.3, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'c5');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 3 ...
, 0.5, 0.3, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'r1');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.8, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'z1');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.8, 0.1, NaN, NaN, NaN];
estim_params_.param_names = strvcat(estim_params_.param_names,'p1');
estim_params_.param_vals = [estim_params_.param_vals; NaN, -Inf, Inf, 1 ...
, 0.8, 0.1, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  7, NaN, -Inf, Inf, 4, 0.1 ...
, 30, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  8, NaN, -Inf, Inf, 4, 0.1 ...
, 30, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  1, NaN, -Inf, Inf, 4, 0.1 ...
, 30, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  2, NaN, -Inf, Inf, 4, 0.3 ...
, 30, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  6, NaN, -Inf, Inf, 4, 0.2 ...
, 30, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  3, NaN, -Inf, Inf, 4, 0.2 ...
, 30, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  5, NaN, -Inf, Inf, 4, 1 ...
, 30, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  9, NaN, -Inf, Inf, 4, 3 ...
, 30, NaN, NaN, NaN];
estim_params_.var_exo = [estim_params_.var_exo;  4, NaN, -Inf, Inf, 4, 2 ...
, 30, NaN, NaN, NaN];



options_.varobs = [];
options_.varobs = strvcat(options_.varobs,'y');
options_.varobs = strvcat(options_.varobs,'u');
options_.varobs = strvcat(options_.varobs,'pie');
options_.varobs = strvcat(options_.varobs,'r_gap');
options_.varobs = strvcat(options_.varobs,'z_gap');
options_.varobs = strvcat(options_.varobs,'pie_m');



options_.unit_root_vars = {'NAIRU'; 'y_pot'};




options_.datafile='laxton_data';
options_.mode_compute=4;
options_.mh_replic=100000;
options_.mh_jscale=0.48;
options_.presample=4;
options_.lik_init=1;
options_.mh_drop=0.5;
options_.mode_check=1;
options_.forecast=5;
var_list_ = [];
dynare_estimation(var_list_);
save('LaxtonEstimate3_results','oo_','dr_');
diary off
