clc;
clear all;
close all;

%model - PC without change in NAIRU, lower variability e_pie
dynare('LaxtonEstimate3.mod')

laxton_data

time = 1996.25:0.25:2007.75;
figure
subplot(2,1,1)
plot(time,u,time,oo_.SmoothedVariables.NAIRU+dr_.ys(2))
legend('unemployment','NAIRU')

subplot(2,1,2)
plot(time,y,time,oo_.SmoothedVariables.y_pot+dr_.ys(8))
legend('y','y_{pot}')

figure
subplot(2,1,1)
plot(time,u-oo_.SmoothedVariables.NAIRU-dr_.ys(2))
legend('u_{gap}')

subplot(2,1,2)
plot(time,y-oo_.SmoothedVariables.y_pot-dr_.ys(8))
legend('y_{gap}')
