clc;
clear all;
close all;


dynare('LaxtonEstimate3.mod')

%%

load laxton2000_NZ
load LaxtonEstimate3_results

time = laxton2000.time;

figure
subplot(2,1,1)
plot(time,laxton2000.UNR,time,oo_.SmoothedVariables.NAIRU+dr_.ys(2))
legend('unemployment','NAIRU')

subplot(2,1,2)
plot(time,laxton2000.y,time,oo_.SmoothedVariables.y_pot+dr_.ys(8))
legend('y','y_{pot}')

figure
subplot(2,1,1)
plot(time,laxton2000.UNR-oo_.SmoothedVariables.NAIRU-dr_.ys(2))
legend('u_{gap}')

subplot(2,1,2)
plot(time,laxton2000.y-oo_.SmoothedVariables.y_pot-dr_.ys(8))
legend('y_{gap}')
