clear all
 ...
global scalv_ ex_ ex_det_ recur_ recurs_ ys_ y_ exe_ exe_det_ lgy_ lgx_ lgx_det_ lgr_ dsmpl_ endval_
 ...
global endo_nbr exo_nbr exo_det_nbr iy_  ykmin_  ykmax_  xkmin_  xkmax_ zkmin_ zkmax_ iter_
 ...
global dynatol_ slowc_ maxit_ valf_ ys0_ recurs0_ ex0_ timing_ ct_ gstep_ Sigma_e_ fname_ lgx_orig_ord_ iter_ options_ dr_ oo_ trend_coeff_ eigenvalues_
global M_
M_.ex_det_length = 0;
M_.dname = 'LaxtonSimulate3';
endo_nbr=0;exo_nbr=0;exo_det_nbr=0;
dsmpl_=0;
dynatol_=0.00001;
maxit_=10;
slowc_=1;
timing_=0;
ct_=0;
gstep_=1e-2;
endval_=0;rplottype_=0;
valf_=0;
y_=[];
ex_=[];
ex_det_=[];
fname_ = 'LaxtonSimulate3';
logname_ = 'LaxtonSimulate3.log';
diary off;
warning off;
delete LaxtonSimulate3.log;
warning on;
warning backtrace;
diary LaxtonSimulate3.log;
options_ = [];


lgy_ = 'gamma';
lgy_ = str2mat(lgy_,'NAIRU');
lgy_ = str2mat(lgy_,'pie');
lgy_ = str2mat(lgy_,'pie_m');
lgy_ = str2mat(lgy_,'r_gap');
lgy_ = str2mat(lgy_,'u');
lgy_ = str2mat(lgy_,'u_gap');
lgy_ = str2mat(lgy_,'y');
lgy_ = str2mat(lgy_,'y_gap');
lgy_ = str2mat(lgy_,'y_pot');
lgy_ = str2mat(lgy_,'z_gap');
endo_nbr = 11;


lgx_ = 'e_gamma';
lgx_ = str2mat(lgx_,'e_NAIRU');
lgx_ = str2mat(lgx_,'e_pie');
lgx_ = str2mat(lgx_,'e_pie_m');
lgx_ = str2mat(lgx_,'e_r_gap');
lgx_ = str2mat(lgx_,'e_u_gap');
lgx_ = str2mat(lgx_,'e_y_gap');
lgx_ = str2mat(lgx_,'e_y_pot');
lgx_ = str2mat(lgx_,'e_z_gap');
lgx_ = str2mat(lgx_,'gamma_ss');
lgx_orig_ord_ = [4 5 7 10 8 6 3 2 9 1];
exo_nbr = 10;



global a1 a2 a3 b1 b2 c1 c2 c3 c4 c5 
global m1 p1 r1 z1 


a1     = 0.7966;
a2     = 0.1724;
a3     = 0.0105;
m1     = 0.3273;
b1     = 0.2659;
b2     = 0.9295;
c1 = 0.0107;
c2 = 0.0764;
c4 = 0.0322;
c5 = 0.6620;
r1 = 0.7857;
z1 = 0.8503;
p1 = 0.9108;



iy_ = [ 1 2 3 4 5 0 6 0 7 8 9];
temp = [ 10 11 12 13 14 15 16 17 18 19 20];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 0 0 0 0 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 0 0 0 0 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 0 0 0 0 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
temp = [ 0 0 21 0 0 0 0 0 0 0 0];
iy_ = [ iy_ ; temp ];
ykmin_ = 1;
ykmax_ = 4;
xkmin_ = 0;
xkmax_ = 0;
zkmin_ = 0;
zkmax_ = 0;
ys_ = zeros(11,1);
exe_ = zeros(10,1);



% INITVAL 
valf_ = 0;
endval_=0;
exe_(10)=0;
ys_(1)=0;
ys_(10)=ys_(1)+9.9;
ys_(10)=9.9;
ys_(11)=0;
ys_(5)=0;
ys_(9)=1/(1-a1)*(-a2*ys_(5)-a3*ys_(11));
ys_(8)=ys_(9)+ys_(10);
ys_(2)=3.5;
ys_(7)=1/(1-b2)*(-b1*ys_(9));
ys_(6)=ys_(7)+ys_(2);
ys_(4)=0;
ys_(3)=1/c1*(c1*ys_(4)-c4*ys_(7));
exe_(8)=0;
exe_(7)=0;
exe_(6)=0;
exe_(2)=0;
exe_(1)=0;
exe_(3)=0;
exe_(5)=0;
exe_(9)=0;
exe_(4)=0;
y_=[ys_*ones(1,ykmin_)];
if exo_nbr > 0;
  ex_=[ones(xkmin_,1)*exe_'];
end;
if exo_det_nbr > 0;
  ex_det_=[ones(ykmin_+1,1)*exe_det_'];
end;


steady(0);


% (M)SHOCKS 
make_ex_;
shocks_file(0);
Sigma_e_ = zeros(10,10);
Sigma_e_(7,7) = (0.2787)^2;
Sigma_e_(8,8) = (0.0265)^2;
Sigma_e_(1,1) = (0.0177)^2;
Sigma_e_(2,2) = (0.0799)^2;
Sigma_e_(6,6) = (0.0608)^2;
Sigma_e_(3,3) = (0.2441)^2;
Sigma_e_(5,5) = (0.7460)^2;
Sigma_e_(9,9) = (3.3973)^2;
Sigma_e_(4,4) = (2.0604)^2;




options_.ar=10;
options_.drop=200;
options_.irf=50;
options_.periods=4000;
options_.simul=1;
options_.simul=1;
var_list_ = 'gamma';
var_list_ = str2mat(var_list_,'y_pot');
var_list_ = str2mat(var_list_,'y_gap');
var_list_ = str2mat(var_list_,'u_gap');
var_list_ = str2mat(var_list_,'NAIRU');
var_list_ = str2mat(var_list_,'y');
var_list_ = str2mat(var_list_,'u');
var_list_ = str2mat(var_list_,'pie');
var_list_ = str2mat(var_list_,'r_gap');
var_list_ = str2mat(var_list_,'z_gap');
var_list_ = str2mat(var_list_,'pie_m');
info=stoch_simul(var_list_);

check;

save('LaxtonSimulate3_results','oo_','dr_');
diary off
